KotlinDslModelsParameters (Gradle API 9.4.0)
Description: declaration: package: org.gradle.tooling.model.kotlin.dsl, class: KotlinDslModelsParameters

Package org.gradle.tooling.model.kotlin.dsl

# Class KotlinDslModelsParameters

java.lang.Object
org.gradle.tooling.model.kotlin.dsl.KotlinDslModelsParameters

public final class KotlinDslModelsParameters extends Object
Parameters for Kotlin DSL models.

Since:
  6.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION`
  `static final String`
  `CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE`
  `static final String`
  `CORRELATION_ID_GRADLE_PROPERTY_NAME`
  `static final String`
  `PREPARATION_TASK_NAME`
  `static final String`
  `PROVIDER_MODE_SYSTEM_PROPERTY_NAME`
  `static final String`
  `STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION`
  `static final String`
  `STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KotlinDslModelsParameters()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PREPARATION_TASK_NAME

    public static final String PREPARATION_TASK_NAME
    See Also:
      - Constant Field Values

  - ### CORRELATION_ID_GRADLE_PROPERTY_NAME

    public static final String CORRELATION_ID_GRADLE_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### PROVIDER_MODE_SYSTEM_PROPERTY_NAME

    public static final String PROVIDER_MODE_SYSTEM_PROPERTY_NAME
    See Also:
      - Constant Field Values

  - ### CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE

    public static final String CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE
    See Also:
      - Constant Field Values

  - ### STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE

    public static final String STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_VALUE
    See Also:
      - Constant Field Values

  - ### CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION

    public static final String CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION
    See Also:
      - Constant Field Values

  - ### STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION

    public static final String STRICT_CLASSPATH_MODE_SYSTEM_PROPERTY_DECLARATION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### KotlinDslModelsParameters

    public KotlinDslModelsParameters()